-- phpMyAdmin SQL Dump
-- version 4.3.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 19, 2016 at 05:48 PM
-- Server version: 5.6.24
-- PHP Version: 5.6.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `pwop`
--
SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS draws, gifts, inventories, scores, users, migrations, password_resets;
-- --------------------------------------------------------

--
-- Table structure for table `draws`
--

CREATE TABLE IF NOT EXISTS `draws` (
  `id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `score` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `gifts`
--

CREATE TABLE IF NOT EXISTS `gifts` (
  `id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `inventory_id` int(10) unsigned DEFAULT NULL,
  `gift` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `gifts`
--

INSERT INTO `gifts` (`id`, `user_id`, `inventory_id`, `gift`, `created_at`, `updated_at`) VALUES
(1, 4, NULL, 'notebook', '2016-04-19 11:25:50', '2016-04-19 11:25:50'),
(2, 4, NULL, 'drink', '2016-04-19 11:30:58', '2016-04-19 11:30:58'),
(3, 4, NULL, 'notebook', '2016-04-19 11:36:49', '2016-04-19 11:36:49'),
(4, 4, NULL, 'notebook', '2016-04-19 11:42:07', '2016-04-19 11:42:07'),
(5, 4, NULL, 'notebook', '2016-04-19 11:42:40', '2016-04-19 11:42:40'),
(6, 4, NULL, 'notebook', '2016-04-19 11:44:11', '2016-04-19 11:44:11'),
(7, 4, NULL, 'notebook', '2016-04-19 11:44:44', '2016-04-19 11:44:44'),
(8, 4, NULL, 'notebook', '2016-04-19 11:47:23', '2016-04-19 11:47:23'),
(9, 4, NULL, 'notebook', '2016-04-19 12:02:36', '2016-04-19 12:02:36'),
(10, 4, NULL, 'notebook', '2016-04-19 12:10:28', '2016-04-19 12:10:28'),
(11, 4, NULL, 'notebook', '2016-04-19 12:12:10', '2016-04-19 12:12:10'),
(12, 4, NULL, 'notebook', '2016-04-19 12:13:33', '2016-04-19 12:13:33');

-- --------------------------------------------------------

--
-- Table structure for table `inventories`
--

CREATE TABLE IF NOT EXISTS `inventories` (
  `id` int(10) unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `quantity` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE IF NOT EXISTS `migrations` (
  `migration` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`migration`, `batch`) VALUES
('2014_10_12_000000_create_users_table', 1),
('2014_10_12_100000_create_password_resets_table', 1),
('2016_04_17_131937_create_inventories_table', 1),
('2016_04_17_131946_create_scores_table', 1),
('2016_04_17_132003_create_gifts_table', 1),
('2016_04_17_132020_create_draws_table', 1);

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

CREATE TABLE IF NOT EXISTS `password_resets` (
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `scores`
--

CREATE TABLE IF NOT EXISTS `scores` (
  `id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `score` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `scores`
--

INSERT INTO `scores` (`id`, `user_id`, `score`, `created_at`, `updated_at`) VALUES
(1, 4, '90', '2016-04-19 05:03:03', '2016-04-19 05:03:03'),
(2, 4, '75', '2016-04-19 05:05:32', '2016-04-19 05:05:32'),
(3, 4, '75', '2016-04-19 07:28:01', '2016-04-19 07:28:01'),
(4, 4, '75', '2016-04-19 07:28:39', '2016-04-19 07:28:39'),
(5, 4, '88', '2016-04-19 07:29:47', '2016-04-19 07:29:47'),
(6, 4, '88', '2016-04-19 07:31:20', '2016-04-19 07:31:20'),
(7, 4, '88', '2016-04-19 10:42:32', '2016-04-19 10:42:32'),
(8, 4, '88', '2016-04-19 11:04:33', '2016-04-19 11:04:33'),
(9, 4, '100', '2016-04-19 11:35:54', '2016-04-19 11:35:54');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(10) unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mobile_number` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `department` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(60) COLLATE utf8_unicode_ci NULL,
  `remember_token` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `mobile_number`, `department`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES
(4, 'Peter', '', '0712054710', 'tech', '$2y$10$v3CwyF8Je/dOZ6VUIdDVEeJz8FJ9hTuBKIM.8JBzIltNj9YYSS2i.', 'zb5j057oMo8qE0BbHeKwkwZTicdKuVGJtXpIgJ6iWtvbOOoX9d02kyEpOH8T', '2016-04-17 18:02:15', '2016-04-19 11:38:32'),
(5, 'mulli', '', '0711603547', 'supply', '$2y$10$3.W3W4VhM5DY2oVzHDAM8uSTGHlGflcMe1.aruSmsnh/o5CZc4GnO', NULL, '2016-04-17 18:37:29', '2016-04-17 18:37:29'),
(6, 'peter', '', '0712121212', 'supply', '$2y$10$KFF4jX2TY14qDAADUHv71eBUkx4anoGfWD9NlPQjs38Y8y6qZcDKm', NULL, '2016-04-18 07:18:37', '2016-04-18 07:18:37'),
(7, 'fafdasdfasdf', '', '0712054777', 'supply', '$2y$10$3CRd7nLraXGQ2gogK2eYxOY9Su16UDY29XCDLhouv5P/iWHEgziPO', NULL, '2016-04-18 18:40:21', '2016-04-18 18:40:21'),
(8, 'sfadfasdfasdf', '', '01712054712', 'demand', '$2y$10$v8iV1MGZQTLL//HvBiD0W.tY6CtMnIiNxY4dxkbV7Jtb5N9UqGJKG', NULL, '2016-04-18 18:42:48', '2016-04-18 18:42:48'),
(9, 'sfdasjfh', '', '0124578885545', 'supply', '$2y$10$hUKJ1MNFOnJPkYfTqeUK6eWnVkFFpVO1wEWN5DK7ffxM/./VDiT8W', NULL, '2016-04-18 18:44:01', '2016-04-18 18:44:01'),
(10, 'sdfsdf', '', '3434243242342', 'supply', '$2y$10$uctLfdtRrHxM0Z6wCtAH9.SP7I.qKYfIK73KvzaLI3aNhH1J83lHS', NULL, '2016-04-18 18:49:14', '2016-04-18 18:49:14');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `draws`
--
ALTER TABLE `draws`
  ADD PRIMARY KEY (`id`), ADD KEY `draws_user_id_foreign` (`user_id`);

--
-- Indexes for table `gifts`
--
ALTER TABLE `gifts`
  ADD PRIMARY KEY (`id`), ADD KEY `gifts_user_id_foreign` (`user_id`), ADD KEY `gifts_inventory_id_foreign` (`inventory_id`);

--
-- Indexes for table `inventories`
--
ALTER TABLE `inventories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD KEY `password_resets_email_index` (`email`), ADD KEY `password_resets_token_index` (`token`);

--
-- Indexes for table `scores`
--
ALTER TABLE `scores`
  ADD PRIMARY KEY (`id`), ADD KEY `scores_user_id_foreign` (`user_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `users_mobile_number_unique` (`mobile_number`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `draws`
--
ALTER TABLE `draws`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `gifts`
--
ALTER TABLE `gifts`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=13;
--
-- AUTO_INCREMENT for table `inventories`
--
ALTER TABLE `inventories`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `scores`
--
ALTER TABLE `scores`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `draws`
--
ALTER TABLE `draws`
ADD CONSTRAINT `draws_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

--
-- Constraints for table `gifts`
--
ALTER TABLE `gifts`
ADD CONSTRAINT `gifts_inventory_id_foreign` FOREIGN KEY (`inventory_id`) REFERENCES `inventories` (`id`),
ADD CONSTRAINT `gifts_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

--
-- Constraints for table `scores`
--
ALTER TABLE `scores`
ADD CONSTRAINT `scores_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

  SET FOREIGN_KEY_CHECKS=1;